Package javax.help.search

# Class MergingSearchEngine

java.lang.Object
javax.help.search.SearchEngine
javax.help.search.MergingSearchEngine

public class MergingSearchEngine extends SearchEngine

## Field Summary

### Fields inherited from class javax.help.search.SearchEngine

`base, params`

## Constructor Summary

Constructors
Constructor
Description
`MergingSearchEngine(NavigatorView view)`
`MergingSearchEngine(SearchEngine engine)`

## Method Summary

Modifier and Type
Method
Description
`SearchQuery`
`createQuery()`
Creates the query for this helpset.
`Enumeration`
`getEngines()`
`void`
`merge(NavigatorView view)`
Adds/Removes a Search Engine to/from list.
`void`
`remove(NavigatorView view)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MergingSearchEngine

public MergingSearchEngine(NavigatorView view)

### MergingSearchEngine

public MergingSearchEngine(SearchEngine engine)

## Method Details

### createQuery

public SearchQuery createQuery()
Creates the query for this helpset.

Specified by:
  `createQuery` in class `SearchEngine`

### merge

public void merge(NavigatorView view)
Adds/Removes a Search Engine to/from list. Possibly the makeEngine should be delayed until the actual query.

### remove

public void remove(NavigatorView view)

### getEngines

public Enumeration getEngines()